package com.ruoyi.dxp.service;

import java.util.List;
import com.ruoyi.dxp.domain.Table;

/**
 * 数据源-Service接口
 * 
 * @author jy
 * @date 2022-11-07
 */
public interface ITableService 
{
    /**
     * 查询数据源-
     * 
     * @param id 数据源-主键
     * @return 数据源-
     */
    public Table selectTableById(Long id);

    /**
     * 查询数据源-列表
     * 
     * @param table 数据源-
     * @return 数据源-集合
     */
    public List<Table> selectTableList(Table table);

    /**
     * 新增数据源-
     * 
     * @param table 数据源-
     * @return 结果
     */
    public int insertTable(Table table);

    /**
     * 修改数据源-
     * 
     * @param table 数据源-
     * @return 结果
     */
    public int updateTable(Table table);

    /**
     * 删除数据源-信息
     * 
     * @param id 数据源-主键
     * @return 结果
     */
    public int deleteTableById(Long id);
}
